All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Interface CalculatedItemListInterface

All Superinterfaces:
  CalculatedItemMetadataInterface

All Known Subinterfaces:
  CalculatedItemListV2Interface

All Known Implementing Classes:
  BaseCalculatedItemListAdapter, BusinessModelToCalculatedItemListAdapter, BusinessQueryToCalculatedItemListAdapter, DataSelectionToCalculatedItemListAdapter, InformationMapToCalculatedItemListAdapter

    public interface CalculatedItemListInterface

extends CalculatedItemMetadataInterface

Description: Interface to a list of calculated items Copyright: Copyright (c) 2002 Company: SAS

Method Summary
`boolean` | `addCalculatedItem(CalculatedItemInterface value)` adds to the end of the list (cursor position undefined after an add)
`boolean` | `canRemoveAllCalculatedItems()` returns true if the list can be empty upon commit and false if at least one item must exist
`void` | `clearSelectionCursor()` resets the selection cursor so that the isCalculatedItemSelected() call returns false
`boolean` | `commitChanges()` Commit changed data
`java.util.List` | `getCalculatedItemList()` get the list of filter test nodes
`java.lang.String` | `getDescription()` Gets the description of this calculated item list.
`FormatAdapterInterface` | `getFormatAdapter()` returns the format adapter
`int` | `getMaxLengthOfItemName()` returns the maximum length of the name of a calculated item
`java.lang.String` | `getName()` Gets the name of this calculated item list.
`CalculatedItemInterface` | `getSelectedCalculatedItem()` Get the CalculatedItemInterface of the current selection
`int` | `getSelectionCount()` get the number of selectable entries in the model
`int` | `getSelectionCursor()` get the index of the selection model cursor
`boolean` | `isCalculatedItemSelected()` true if there is a selected calculated item
`CalculatedItemInterface` | `newCalculatedItem()` creates a new CalculatedItemInterface that is not persisted or added to the list yet
`CalculatedItemInterface` | `newCalculatedItem(CalculatedItemInterface toBeCloned)` creates a clone of a CalculatedItemInterface that is not persisted or added to the list yet
`void` | `removeAllCalculatedItems()` removes all of the items from the List
`void` | `removeSelectedCalculatedItem()` removes the current selection from the List (cursor position is undefined after remove) Calculated Items are not fully removed from presistance until the commit call is made.
`void` | `setDescription(java.lang.String description)` Sets the description of this calculated item list.
`void` | `setName(java.lang.String name)` Sets the name of this calculated item list.
`void` | `setSelectionCursor(int index)` move the selection model cursor to a new selection index
`void` | `updateSelectedCalculatedItem(CalculatedItemInterface value)` Update the CalculatedItemInterface of the current selection

Methods inherited from interface com.sas.dataselectors.calculateditems.CalculatedItemMetadataInterface
`getBusinessDataSourceTree, getDataSourceTree, getFunctionListTree, getLevelHasMembers, getLevelNameMap, getLevelNames, getMaxOutputObservations, getMeasureNameMap, getMeasureNames, getMemberNames, getOperationList, getPhysicalDataSourceTree, getPromptDataSourceTree, setMaxOutputObservations`

Method Detail

### getName

    java.lang.String getName()

  Gets the name of this calculated item list.

  Returns:
    the name of this calculated item list, if one has been set; null otherwise.

### setName

    void setName(java.lang.String name)

  Sets the name of this calculated item list.

  Parameters:
    `name` - the name of this calculated item list

### getDescription

    java.lang.String getDescription()

  Gets the description of this calculated item list.

  Returns:
    the description of this calculated item list, if one has been set; null otherwise.

### setDescription

    void setDescription(java.lang.String description)

  Sets the description of this calculated item list.

  Parameters:
    `description` - the description of this calculated item list

### getCalculatedItemList

    java.util.List getCalculatedItemList()

  get the list of filter test nodes

### commitChanges

    boolean commitChanges()

  Commit changed data

  Returns:
    boolean true if data updated

### removeAllCalculatedItems

    void removeAllCalculatedItems()

  removes all of the items from the List

### addCalculatedItem

    boolean addCalculatedItem(CalculatedItemInterface value)

  adds to the end of the list (cursor position undefined after an add)

  Parameters:
    `CalculatedItemInterface` -
  Returns:
    boolean true if successful

### newCalculatedItem

    CalculatedItemInterface newCalculatedItem()

  creates a new CalculatedItemInterface that is not persisted or added to the list yet

  Returns:
    CalculatedItemInterface

### newCalculatedItem

    CalculatedItemInterface newCalculatedItem(CalculatedItemInterface toBeCloned)

  creates a clone of a CalculatedItemInterface that is not persisted or added to the list yet

  Returns:
    CalculatedItemInterface

### clearSelectionCursor

    void clearSelectionCursor()

  resets the selection cursor so that the isCalculatedItemSelected() call returns false

### isCalculatedItemSelected

    boolean isCalculatedItemSelected()

  true if there is a selected calculated item

  Returns:
    boolean True if there is a calculated item selected

### getSelectionCount

    int getSelectionCount()

  get the number of selectable entries in the model

### getSelectionCursor

    int getSelectionCursor()

  get the index of the selection model cursor

  Returns:
    int the 0 based indes in the list of the current selection

### setSelectionCursor

    void setSelectionCursor(int index)

  move the selection model cursor to a new selection index

  Parameters:
    `int` - the 0 based index in the list to be the new selection

### getSelectedCalculatedItem

    CalculatedItemInterface getSelectedCalculatedItem()

  Get the CalculatedItemInterface of the current selection

### updateSelectedCalculatedItem

    void updateSelectedCalculatedItem(CalculatedItemInterface value)

  Update the CalculatedItemInterface of the current selection

### removeSelectedCalculatedItem

    void removeSelectedCalculatedItem()

  removes the current selection from the List (cursor position is undefined after remove) Calculated Items are not fully removed from presistance until the commit call is made.

### canRemoveAllCalculatedItems

    boolean canRemoveAllCalculatedItems()

  returns true if the list can be empty upon commit and false if at least one item must exist

### getFormatAdapter

    FormatAdapterInterface getFormatAdapter()

  returns the format adapter

### getMaxLengthOfItemName

    int getMaxLengthOfItemName()

  returns the maximum length of the name of a calculated item

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.